Bug 784956 - Review Request: ktp-send-file - A File manager plugin to launch file transfer jobs
Review Request: ktp-send-file - A File manager plugin to launch file transfer...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: 784945
Blocks: kde-reviews kde-telepathy-0.3
  Show dependency treegraph
 
Reported: 2012-01-26 14:01 EST by Rex Dieter
Modified: 2012-02-10 17:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-10 17:09:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2012-01-26 14:01:10 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/telepathy-kde/ktp-send-file.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/telepathy-kde/ktp-send-file-0.3.0-1.fc16.src.rpm
Description: A File manager plugin to launch a file transfer job with a specified contact
Comment 1 nucleo 2012-02-06 21:13:09 EST
Summary: A File manager plugin to launch a file transfer job with a specified contact.
Is this summary not too long?

# service menu only, desktop validation not required
# in a perfect world, this would get moved to datadir/kde4/services/
%{_kde4_datadir}/applications/kde4/ktp-send-file.desktop

So can be moved to services dir? This can fix rpmlint errors:
ktp-send-file.i686: E: invalid-desktopfile /usr/share/applications/kde4/ktp-send-file.desktop (will be fatal in the future): value "all/allfiles;" for key "MimeType" in group "Desktop Entry" contains value "all/allfiles" which is an invalid MIME type: "all" is an unregistered media type
ktp-send-file.i686: E: invalid-desktopfile /usr/share/applications/kde4/ktp-send-file.desktop required key "Name" in group "Desktop Entry" is not present
ktp-send-file.i686: E: invalid-desktopfile /usr/share/applications/kde4/ktp-send-file.desktop key "MimeType" is present in group "Desktop Entry", but the type is "Service" while this key is only valid for type "Application"


%find_lang %{name} --all-name --with-kde
%find_lang works here without --all-name
Comment 2 nucleo 2012-02-06 21:19:23 EST
BuildRequires: desktop-file-utils is not needed if it not used.
Comment 3 nucleo 2012-02-06 21:44:17 EST
BuildRequires: telepathy-qt4-devel also not needed because ktp-common-internals-devel requires it.
Comment 4 Rex Dieter 2012-02-07 08:53:32 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/telepathy-kde/ktp-send-file.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/telepathy-kde/ktp-send-file-0.3.0-1.fc16.src.rpm

%changelog
* Tue Feb 07 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-2
- shorten Summary
- drop BR: desktop-file-utils telepathy-qt4-devel


Re:
%find_lang %{name} --all-name --with-kde
%find_lang works here without --all-name

true, but I'd rather be safe and have it automatically include HTML handbooks if they ever get included upstream.


Re: So can be moved to services dir?
I think I tried that, and it didn't work.  Besides, rpmlint should probably be fixed to only operate on .desktop files containing
Type=Application
(which is not the case here)
Comment 5 nucleo 2012-02-07 09:35:41 EST
name: ok
summary: ok
license: ok
BuildRequires: ok
Obsoletes/Provides: ok
handling locale files: ok

APPROVED
Comment 6 Michael Schwendt 2012-02-09 10:04:58 EST
> summary: ok

No, it isn't "ok" for various reasons:

> Name:    ktp-send-file
> Summary: A File manager plugin to launch file transfer jobs

While the big 'F' in "File manager" may be just a typo, one wonders _which file manager_ is this for?   Summaries without leading articles also are more readable, btw.

> %description
> %{summary}.

The same that I've added to bug 784950 applies here.
Comment 7 Rex Dieter 2012-02-09 13:52:35 EST
I'll look into improving the description prior to doing any builds, thanks.

New Package SCM Request
=======================
Package Name: ktp-send-file
Short Description: A File manager plugin to launch file transfer jobs
Owners: jreznik rdieter
Branches: f16
Comment 8 Gwyn Ciesla 2012-02-09 13:58:59 EST
Git done (by process-git-requests).
Comment 9 Rex Dieter 2012-02-10 17:09:20 EST
imported

Note You need to log in before you can comment on or make changes to this bug.